import {ProductGamesystem} from "../../gamesystems/ProductGamesystem";
import {TemplateGamesystem} from "../TemplateGamesystem";
import {TemplateElement} from "../TemplateElement";
import {ProductState} from "../../gamesystems/states/ProductState";
import {ProductTransition} from "../../gamesystems/transitions/ProductTransition";

export class ProductTemplateSystem extends ProductGamesystem implements TemplateGamesystem{

  stateMap: Map<TemplateElement, ProductState[]> = new Map();
  transitionMap: Map<TemplateElement, ProductTransition[]> = new Map<TemplateElement, ProductTransition[]>()

  addTemplateElement(templateElement: TemplateElement): void {
  }



}
